Bug 173349 - [MAINTAINER] games/asteroids3d: Changed Makefile, added Desktop entries, icons, removed all Notes
Summary: [MAINTAINER] games/asteroids3d: Changed Makefile, added Desktop entries, icon...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Max Brazhnikov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-11-04 05:10 UTC by nemysis
Modified: 2013-02-20 18:10 UTC (History)
1 user (show)

See Also:


Attachments
asteroids3d-0.5.1_2.patch (2.86 KB, patch)
2012-11-04 05:10 UTC, nemysis
no flags Details | Diff
asteroids3d.diff (4.21 KB, patch)
2012-11-10 20:09 UTC, nemysis
no flags Details | Diff
asteroids3d.diff (5.26 KB, patch)
2013-02-19 12:47 UTC, nemysis
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description nemysis 2012-11-04 05:10:01 UTC
Makefile changed:
+		SF/nemysisfreebsdp/:icons
+		${PORTNAME}_icons.tar.bz2:icons
 PLIST_FILES=
+INSTALLS_ICONS=	yes
+ICON_SIZES=	32x32 48x48 64x64 72x72 96x96 128x128
+DESKTOP_ENTRIES=
+post-install:
+.for s in ${ICON_SIZES}

Generated with FreeBSD Port Tools 0.99_6 (mode: change, diff: ports)

How-To-Repeat: 
portlint -A
looks fine.

port test: clean
Comment 1 nemysis 2012-11-10 20:09:11 UTC
Added pkg-plist
Comment 2 Max Brazhnikov freebsd_committer 2013-01-10 20:52:46 UTC
Responsible Changed
From-To: freebsd-ports-bugs->makc

I'll take it.
Comment 3 Max Brazhnikov freebsd_committer 2013-02-19 12:14:21 UTC
State Changed
From-To: open->feedback

The patch doesn't apply anymore, could you update it? And for the 
future, can you please don't open several PR for the same port at once, 
instead submit new pathes as followup, or request to close older PR. 
Thanks!
Comment 4 nemysis 2013-02-19 12:47:53 UTC
On Tue, 19 Feb 2013 12:14:21 GMT
makc@FreeBSD.org wrote:

> Synopsis: [MAINTAINER] games/asteroids3d: Changed Makefile, added Desktop entries, icons, removed all Notes
> 
> State-Changed-From-To: open->feedback
> State-Changed-By: makc
> State-Changed-When: Tue Feb 19 12:14:21 UTC 2013
> State-Changed-Why: 
> The patch doesn't apply anymore, could you update it? And for the
> future, can you please don't open several PR for the same port at once,
> instead submit new pathes as followup, or request to close older PR.
> Thanks!

New updated patch, old not apply more because Header is changed.

Added new

+DIST_SUBDIR=   ${PORTNAME}
"${PREFIX}/share/pixmaps/${PORTNAME}.png" \
${LN} -sf ${PREFIX}/share/icons/hicolor/48x48/apps/${PORTNAME}.png ${PREFIX}/share/pixmaps/
Comment 5 Max Brazhnikov freebsd_committer 2013-02-19 16:26:53 UTC
State Changed
From-To: feedback->open

Feedback received
Comment 6 dfilter service freebsd_committer 2013-02-20 18:07:29 UTC
Author: makc
Date: Wed Feb 20 18:06:58 2013
New Revision: 312643
URL: http://svnweb.freebsd.org/changeset/ports/312643

Log:
  - Update icons
  - Drop indirect/needless dependencies
  
  PR:		ports/173349
  Submitted by:	nemysis (maintainer)

Added:
  head/games/asteroids3d/pkg-plist   (contents, props changed)
Modified:
  head/games/asteroids3d/Makefile
  head/games/asteroids3d/distinfo   (contents, props changed)
  head/games/asteroids3d/pkg-descr   (contents, props changed)

Modified: head/games/asteroids3d/Makefile
==============================================================================
--- head/games/asteroids3d/Makefile	Wed Feb 20 18:05:17 2013	(r312642)
+++ head/games/asteroids3d/Makefile	Wed Feb 20 18:06:58 2013	(r312643)
@@ -3,45 +3,35 @@
 
 PORTNAME=	asteroids3d
 PORTVERSION=	0.5.1
-PORTREVISION=	3
+PORTREVISION=	4
 CATEGORIES=	games
 MASTER_SITES=	SF/a3d/${PORTVERSION}/ \
 		SF/nemysisfreebsdp/:icons
 DISTNAME=	${PORTNAME:S/3d/3D/}-${DISTVERSION}
 DISTFILES=	${DISTNAME}${EXTRACT_SUFX} \
-		asteroids3d_icons.tbz:icons
+		${PORTNAME}_icons${EXTRACT_SUFX}:icons
 
 MAINTAINER=	nemysis@gmx.ch
 COMMENT=	First-person shooter blowing up asteroids in 3D space
 
 LICENSE=	GPLv2
 
-LIB_DEPENDS=	pthread-stubs:${PORTSDIR}/devel/libpthread-stubs \
-		drm:${PORTSDIR}/graphics/libdrm \
-		xcb:${PORTSDIR}/x11/libxcb
-
 USE_BZIP2=	yes
 USE_AUTOTOOLS=	aclocal autoheader
 GNU_CONFIGURE=	yes
 CONFIGURE_ENV=	with_gamesdir="${PREFIX}/bin" with_gamedatadir="${DATADIR}"
-USE_XORG=	x11 xau xdamage xdmcp xext xfixes xi xrandr xrender xxf86vm
 USE_GL=		glut glu
 MAKE_JOBS_SAFE=	yes
 
 CFLAGS+=	-I${LOCALBASE}/include
 LDFLAGS+=	-L${LOCALBASE}/lib
 
-WRKSRC=		${WRKDIR}/${PORTNAME:S/3d/3D/}-${PORTVERSION}
-
-PLIST_FILES=	bin/${PORTNAME} \
-		share/pixmaps/${PORTNAME}_128.png \
-		share/pixmaps/${PORTNAME}_48.png
-
-PORTDATA=	*
 PORTDOCS=	README.html
 
-DESKTOP_ENTRIES="Asteroids3D" "${COMMENT}" \
-		"${PREFIX}/share/pixmaps/${PORTNAME}_48.png" \
+INSTALLS_ICONS=	yes
+ICON_SIZES=	32x32 48x48 64x64 72x72 96x96 128x128
+
+DESKTOP_ENTRIES="Asteroids3D" "${COMMENT}" "${PORTNAME}" \
 		"${PORTNAME}" "Game;ArcadeGame;" false
 
 pre-configure:
@@ -58,7 +48,13 @@ do-install:
 	${MKDIR} ${DATADIR}
 	@(cd ${WRKSRC}/src && ${COPYTREE_SHARE}  "*.ub *.ppm" ${DATADIR})
 
-	${INSTALL_DATA} ${WRKDIR}/${PORTNAME}*.png ${PREFIX}/share/pixmaps
+post-install:
+.for s in ${ICON_SIZES}
+	${MKDIR} ${PREFIX}/share/icons/hicolor/${s}/apps
+	${INSTALL_DATA} ${WRKDIR}/${PORTNAME}_${s}.png \
+		${PREFIX}/share/icons/hicolor/${s}/apps/${PORTNAME}.png
+.endfor
+	${LN} -sf ${PREFIX}/share/icons/hicolor/48x48/apps/${PORTNAME}.png ${PREFIX}/share/pixmaps/
 
 .if ${PORT_OPTIONS:MDOCS}
 	${MKDIR} ${DOCSDIR}

Modified: head/games/asteroids3d/distinfo
==============================================================================
--- head/games/asteroids3d/distinfo	Wed Feb 20 18:05:17 2013	(r312642)
+++ head/games/asteroids3d/distinfo	Wed Feb 20 18:06:58 2013	(r312643)
@@ -1,4 +1,4 @@
 SHA256 (asteroids3D-0.5.1.tar.bz2) = 68a07541198591c7a010324d870d120932c2dc015981f9197fe2268964a45087
 SIZE (asteroids3D-0.5.1.tar.bz2) = 584201
-SHA256 (asteroids3d_icons.tbz) = e8ed4bd8119e19b6cb423cd00c9b305490edd0e30600c227786f8cbd5bd442a9
-SIZE (asteroids3d_icons.tbz) = 4023
+SHA256 (asteroids3d_icons.tar.bz2) = 8c8b3aad1ea2287bbc1dada7eea027e00c6c0e324b4ba4e8748b8ed702c7f50e
+SIZE (asteroids3d_icons.tar.bz2) = 26442

Modified: head/games/asteroids3d/pkg-descr
==============================================================================
--- head/games/asteroids3d/pkg-descr	Wed Feb 20 18:05:17 2013	(r312642)
+++ head/games/asteroids3d/pkg-descr	Wed Feb 20 18:06:58 2013	(r312643)
@@ -2,4 +2,3 @@ A simple first person shooter of blowing
 The codebase also serves as an introduction to trigonometry and OpenGL.
 
 WWW: http://sourceforge.net/projects/a3d/
-     http://staff.psc.edu/smp/a3d/

Added: head/games/asteroids3d/pkg-plist
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/games/asteroids3d/pkg-plist	Wed Feb 20 18:06:58 2013	(r312643)
@@ -0,0 +1,43 @@
+bin/asteroids3d
+%%DATADIR%%/ast_snd0.ub
+%%DATADIR%%/ast_snd1.ub
+%%DATADIR%%/ast_snd2.ub
+%%DATADIR%%/ast_snd3.ub
+%%DATADIR%%/ast_snd4.ub
+%%DATADIR%%/ast_snd5.ub
+%%DATADIR%%/ast_tex0.ppm
+%%DATADIR%%/ast_tex1.ppm
+%%DATADIR%%/ast_tex2.ppm
+%%DATADIR%%/ast_tex3.ppm
+%%DATADIR%%/ast_tex4.ppm
+%%DATADIR%%/ast_tex5.ppm
+%%DATADIR%%/coll_snd.ub
+%%DATADIR%%/nebula_tex0.ppm
+%%DATADIR%%/nebula_tex1.ppm
+%%DATADIR%%/nebula_tex2.ppm
+%%DATADIR%%/nebula_tex3.ppm
+%%DATADIR%%/ta_snd.ub
+%%DATADIR%%/tf_snd.ub
+%%DATADIR%%/torp_tex0.ppm
+share/icons/hicolor/128x128/apps/asteroids3d.png
+share/icons/hicolor/32x32/apps/asteroids3d.png
+share/icons/hicolor/48x48/apps/asteroids3d.png
+share/icons/hicolor/64x64/apps/asteroids3d.png
+share/icons/hicolor/72x72/apps/asteroids3d.png
+share/icons/hicolor/96x96/apps/asteroids3d.png
+share/pixmaps/asteroids3d.png
+@dirrmtry share/icons/hicolor/96x96/apps
+@dirrmtry share/icons/hicolor/96x96
+@dirrmtry share/icons/hicolor/72x72/apps
+@dirrmtry share/icons/hicolor/72x72
+@dirrmtry share/icons/hicolor/64x64/apps
+@dirrmtry share/icons/hicolor/64x64
+@dirrmtry share/icons/hicolor/48x48/apps
+@dirrmtry share/icons/hicolor/48x48
+@dirrmtry share/icons/hicolor/32x32/apps
+@dirrmtry share/icons/hicolor/32x32
+@dirrmtry share/icons/hicolor/128x128/apps
+@dirrmtry share/icons/hicolor/128x128
+@dirrmtry share/icons/hicolor
+@dirrmtry share/icons
+@dirrm %%DATADIR%%
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 7 Max Brazhnikov freebsd_committer 2013-02-20 18:07:52 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!